VRPlatformVRPlatform
Accounts

/accounts/{id}

Get account by ID

GET
/accounts/{id}
X-API-Key<token>

API key provided in dashboard

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.vrplatform.app/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "name": "string",
  "status": "active",
  "type": "ledger",
  "uniqueRef": "string",
  "id": "string",
  "offsetAccount": {
    "id": "string",
    "name": "string",
    "uniqueRef": "string",
    "status": "active"
  },
  "assignments": [
    "accountsPayable"
  ],
  "category": {
    "id": "string",
    "name": "string",
    "classification": "asset"
  },
  "categoryLock": {
    "status": "locked",
    "reason": "immutable"
  },
  "issues": [
    {
      "code": "bankAccountLast4OutOfSync",
      "severity": "warning",
      "context": {
        "accountLast4": "stri",
        "bankAccountLast4": "stri",
        "bankAccountIds": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ]
      }
    }
  ],
  "banking": {
    "category": "trust",
    "type": "deposit",
    "last4": "stri",
    "currency": "string",
    "connections": [
      {
        "id": "string",
        "name": "string",
        "startDate": "string",
        "connection": {
          "id": "string",
          "appId": "string",
          "name": "string",
          "status": "active",
          "isErrorState": true,
          "icon": "string"
        },
        "status": "active",
        "currentSync": {
          "status": "queued",
          "createdAt": "string",
          "updatedAt": "string",
          "message": "string"
        },
        "source": {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "type": "string",
          "status": "active",
          "appId": "string",
          "appIcon": "string"
        }
      }
    ],
    "bankRecords": {
      "reconciled": 0,
      "unreconciled": 0,
      "total": 0,
      "latestCreatedAt": "string"
    },
    "balance": {
      "openingDate": "string",
      "opening": 0,
      "ending": 0
    }
  }
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}
{
  "code": "string",
  "message": "string",
  "issues": [
    {
      "message": "string"
    }
  ],
  "context": null
}